syms s

%flights conditions and data of the A-7A Aircraft

theta = 0 ; % deg
U = 670  ;% ft/sec
m=680 ;%slugs
M = 0.6;  % unit less
S = 375 ; % sq ft
c = 10.8 ;% ft
b1 = 38.7; % ft
q = 534 ;% lb/ft^2
Ixx = 13480; % slug-ft^2
Iyy = 58970;% slug-ft^2
Izz = 67720;% slug-ft^2
Ixz = 0 ;% slug-ft^2
a=q*S/(m);
b=q*S*c/(Iyy);
d=c/(2*U);

%longitudnal dimensional derivatives

Xu = -0.0156;
Xalpha= -26.58;

Zu = -0.124;
Zalpha= -1248;

Mu=0.0002;
Malpha=-15.57;
Malphad=-0.207;
Mq=-1.110;

Cw= -(m*32.2)/(S*q);

Xdel=-0.02;
Zdel=-165.2;
Mdel=-30.6;

%longitudnal derivatives coefficients

Cxu=Xu*U/a;
Cxalpha = Xalpha/a;

Czu=Zu*U/a;
Czalpha=Zalpha/a;

Cmu=Mu*U/b;
Cmalpha=Malpha/b;
Cmalphad=Malphad/(d*b);
Cmq=Mq/(b*d);

Cxdel = 0;
Czdel = Zdel/a;
Cmdel=Mdel/b;

%lateral dimensional derivatives


ybeta=-210.4;%ft/s^2

lbeta=-44.57;%s^-2
lp=-4.401 ;% s^-1
lr=1.341;%s^-1

nbeta=8.126;%s^-2
np=0.022;%s^-1
nr=-0.968;%s^-1

ndelr=-9.207;
ldelr=11.08;
ydelr=51.52;

ydela=-7.034;
ndela=0.559;
ldela=28.46;


% lateral derivatives coeficients

Clp=lp*(2*Ixx*U)/(q*S*b^2);
Clr=lr*(2*Ixx*U)/(q*S*b^2);
Clbeta=lbeta*Ixx/(q*S*b);

Cnp=np*(2*Izz*U)/(q*S*b^2);
Cnbeta=nbeta*Izz/(q*S*b);
Cnr=nr*(2*Izz*U)/(q*S*b^2);

Cybeta=ybeta*m/(q*S);
Cyphi=0;
Cysi=0;

Cydelr=ydelr*m/(q*S);
Cndelr=ndelr*Izz/(q*S*c);
Cldelr=ldelr*Ixx/(q*S*c);

Cydela=ydela*m/(q*S);
Cndela=ndela*Izz/(q*S*c);
Cldela=ldela*Ixx/(q*S*c);