% solution of lateral equations of motion

% loading the m file "data"

data

% writing the solution matrix derived from the simplified 
% equations of lateral motion

A = [Ixx/S/b1/q*(s^2)-b1*Clp/2/U*s            -s*(Ixz/S/b1/q*s+b1*Clr/2/U)                   -Clbeta
         -s*(Ixz/S/q/b1*s+b1*Cnp/2/U)          s*(Izz/S/q/b1*s-b1*Cnr/2/U)                    -Cnbeta
         -Cyphi                              m*U/S/q*s-Cysi                             m*U/S/q*s-Cybeta];
 eq = sym2poly(det(A)); % to obtain a 4th deg poly
% r = roots(eq) % to find the roots of the above equation

%*****************************************************************%
% OBTAINING THE LATERAL TRANSFER FUNCTIONS FOR RUDDER DISPLACEMENT%
%*****************************************************************%

den = sym2poly(det(A));
R=[Cldelr Cndelr Cydelr]';

% tf = u(s)/delta(s)

M1=[R A(:,2) A(:,3)];
num1 = sym2poly(det(M1));

phidelr = tf(num1,den)
% bode(utf);
% figure;impulse(-6*utf);

% tf = alpha(s)/delta(s)

M2=[A(:,1) R A(:,3)];
num2 = sym2poly(det(M2));

sidelr = tf(num2,den);
% figure;bode(alphatf);
% figure;impulse(-6*alphatf);

% tf = theta(s)/delta(s)

M3=[A(:,1) A(:,2) R];
num3 = sym2poly(det(M3));

betadelr = tf(num3,den);
% figure;bode(thetatf);
% figure;impulse(-6*thetatf);

%******************************************************************%
% OBTAINING THE LATERAL TRANSFER FUNCTIONS FOR Aileron DISPLACEMENT%
%******************************************************************%

den = sym2poly(det(A));
R=[Cldela Cndela Cydela]';

% tf = u(s)/delta(s)

M1=[R A(:,2) A(:,3)];
num1 = sym2poly(det(M1));

phidela = tf(num1,den);
% bode(utf);
% figure;impulse(-6*utf);

% tf = alpha(s)/delta(s)

M2=[A(:,1) R A(:,3)];
num2 = sym2poly(det(M2));

sidela= tf(num2,den);
% figure;bode(alphatf);
% figure;impulse(-6*alphatf);

% tf = theta(s)/delta(s)

M3=[A(:,1) A(:,2) R];
num3 = sym2poly(det(M3));

betadela = tf(num3,den);
% figure;bode(thetatf);
% figure;impulse(-6*thetatf);
